Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
[Java] Class ClassInfo

    java.lang.Object
      ManagedConcurrentMap.Entry
          org.codehaus.groovy.reflection.ClassInfo

    public class ClassInfo
    extends Entry

Handle for all information we want to keep about the class

Authors:
  Alex.Tkachman

Nested Class Summary
`static class` | `ClassInfo.ClassInfoSet`

Field Summary
`int` | `hash`

Method Summary
`static void` | `clearModifiedExpandos()`
`void` | `finalizeRef()`
`static int` | `fullSize()`
`static java.util.Collection` | `getAllClassInfo()`
`ClassLoaderForClassArtifacts` | `getArtifactClassLoader()`
`CachedClass` | `getCachedClass()`
`static ClassInfo` | `getClassInfo(java.lang.Class cls)`
`MetaClass` | `getMetaClass()`
`MetaClass` | `getMetaClass(java.lang.Object obj)`
`MetaClass` | `getMetaClassForClass()`
`ExpandoMetaClass` | `getModifiedExpando()`
`MetaClass` | `getPerInstanceMetaClass(java.lang.Object obj)`
`MetaClass` | `getStrongMetaClass()`
`int` | `getVersion()`
`MetaClass` | `getWeakMetaClass()`
`boolean` | `hasPerInstanceMetaClasses()`
`void` | `incVersion()`
`void` | `lock()`
`void` | `setPerInstanceMetaClass(java.lang.Object obj, MetaClass metaClass)`
`void` | `setStrongMetaClass(MetaClass answer)`
`void` | `setWeakMetaClass(MetaClass answer)`
`static int` | `size()`
`void` | `unlock()`

Field Detail

### hash

    public final int hash

Method Detail

### clearModifiedExpandos

    public static void clearModifiedExpandos()

### finalizeRef

    public void finalizeRef()

### fullSize

    public static int fullSize()

### getAllClassInfo

    public static java.util.Collection getAllClassInfo()

### getArtifactClassLoader

    public ClassLoaderForClassArtifacts getArtifactClassLoader()

### getCachedClass

    public CachedClass getCachedClass()

### getClassInfo

    public static ClassInfo getClassInfo(java.lang.Class cls)

### getMetaClass

    public final MetaClass getMetaClass()

### getMetaClass

    public MetaClass getMetaClass(java.lang.Object obj)

### getMetaClassForClass

    public MetaClass getMetaClassForClass()

### getModifiedExpando

    public ExpandoMetaClass getModifiedExpando()

### getPerInstanceMetaClass

    public MetaClass getPerInstanceMetaClass(java.lang.Object obj)

### getStrongMetaClass

    public MetaClass getStrongMetaClass()

### getVersion

    public int getVersion()

### getWeakMetaClass

    public MetaClass getWeakMetaClass()

### hasPerInstanceMetaClasses

    public boolean hasPerInstanceMetaClasses()

### incVersion

    public void incVersion()

### lock

    public void lock()

### setPerInstanceMetaClass

    public void setPerInstanceMetaClass(java.lang.Object obj, MetaClass metaClass)

### setStrongMetaClass

    public void setStrongMetaClass(MetaClass answer)

### setWeakMetaClass

    public void setWeakMetaClass(MetaClass answer)

### size

    public static int size()

### unlock

    public void unlock()

Groovy Documentation